<?php

namespace App\Http\Requests\Auth;

use Illuminate\Foundation\Http\FormRequest;

class UploadLeasingDataRequest extends FormRequest
{
    public function rules(): array
    {
        return [
            'file' => 'required|file|mimes:csv,txt|max:5120', // 5MB limit
        ];
    }

    public function messages(): array
    {
        return [
            'file.required' => 'Wajib memilih file untuk diunggah.',
            'file.mimes' => 'File harus berupa format CSV.',
            'file.max' => 'Ukuran file tidak boleh lebih dari 5MB.',
        ];
    }
}
